Isotropix Forums

Python 3 Support

Clarisse Scripting related topics

Python 3 Support

Unread postby briansilva » Thu Jun 04, 2020 1:25 pm

Hello!

With Python 2.7.18 as the last release of Python 2, and the march towards vfx platform 2020, we're starting to encounter situations now where our only option is to use Python 3.

Can anyone from Isotropix comment on the plan/schedule to support Python 3 in Clarisse?

We're happy to be testers. :D
briansilva
 
Posts: 64
Joined: Mon Mar 25, 2019 12:43 pm

Re: Python 3 Support

Unread postby anemoff » Thu Jun 04, 2020 6:07 pm

Hi!

Clarisse will support Python 3 in the next "major" version, which will be released sometime this year. Other 3rd parties will also be updated to be compliant with VFX Platform 2020 requirements.
Clarisse will support Python 2.7 for one more major version, to allow a transition phase, then it will be dropped for good. You'll be able to specify the desired Python version before startup.

This new Clarisse version is not yet available for testing.
We'll let you know when it's ready for public testing.

Cheers,
Anthony Nemoff
Isotropix
R&D Engineer
User avatar
anemoff
 
Posts: 330
Joined: Wed Jan 13, 2016 10:10 am

Re: Python 3 Support

Unread postby briansilva » Fri Jun 05, 2020 2:44 pm

Thank you Anthony!
briansilva
 
Posts: 64
Joined: Mon Mar 25, 2019 12:43 pm

Re: Python 3 Support

Unread postby jwiede » Tue Jul 07, 2020 10:28 pm

Can someone from Isotropix clarify what revision of Python v3 is targeted? 3.8? Or just whatever's required by VFX Platform 2020?
jwiede
 
Posts: 1
Joined: Mon Feb 04, 2013 5:42 am

Re: Python 3 Support

Unread postby sam » Wed Jul 08, 2020 5:43 am

It's python 3.7.x since this is the one supported by VFX platform 2020
Sam Assadian
Isotropix
CEO/Founder
User avatar
sam
 
Posts: 1556
Joined: Fri Jan 25, 2013 11:33 pm


Return to Scripting